> ## Documentation Index
> Fetch the complete documentation index at: https://docs.legitmark.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Service

> Retrieve details for a specific authentication service.



## OpenAPI

````yaml /openapi.json get /api/services/{service_uuid}
openapi: 3.1.0
info:
  title: Legitmark Partner API
  description: Comprehensive partner integration API for Legitmark authentication platform
  version: 2.0.0
  contact:
    name: Legitmark Support
    email: support@legitmark.com
    url: https://legitmark.com
servers:
  - url: https://api.legitmark.com
    description: Production API
security:
  - BearerAuth: []
tags:
  - name: Service Requests
    description: Create, retrieve, and manage authentication service requests.
  - name: Media Management
    description: Upload images for service request authentication.
  - name: Taxonomy
    description: Browse categories, types, brands, models, and services to build requests.
paths:
  /api/services/{service_uuid}:
    get:
      tags:
        - Taxonomy
      summary: Get Service
      description: Retrieve details for a specific authentication service.
      parameters:
        - name: service_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
          example: 31670fe9-9272-11ef-b98d-06fb0f2a63e5
      responses:
        '200':
          description: Service retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: The service was fetched successfully.
                  service:
                    $ref: '#/components/schemas/Service'
                  rc_hit:
                    type: boolean
                    description: Indicates if the response was served from cache
                    example: true
                required:
                  - success
                  - message
                  - service
              example:
                success: true
                rc_hit: false
                message: The service was fetched successfully.
                service:
                  uuid: 31670fe9-9272-11ef-b98d-06fb0f2a63e5
                  name: TikTok Shop Partner Sneaker
                  description: Standard Authentication in under 60 min
                  expected_completion_time: 3600
                  price: 0
                  parent: false
                  excluded_from_billing: false
                  created_at: '2024-10-25T01:41:02.000Z'
                  updated_at: '2024-10-25T01:41:02.000Z'
        '404':
          description: Service not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security: []
components:
  schemas:
    Service:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        name:
          type: string
          example: TikTok Shop Partner Sneaker
        description:
          type: string
          example: Standard Authentication in under 60 min
        expected_completion_time:
          type: integer
          description: Expected completion time in hours
          example: 3600
        price:
          type: number
          format: float
          example: 0
        parent:
          type: boolean
        excluded_from_billing:
          type: boolean
          description: Whether this service is excluded from billing
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: object
          properties:
            code:
              type: integer
            timestamp:
              type: string
              format: date-time
            message:
              type: string
            details:
              type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token authentication. Use your API key in the format: Bearer
        leo_xxxxxxxx
      x-default: leo_your_api_key_here

````